#!/bin/sh
K7CHKPRG=/usr/local/bin/k7mctrl

test -x $K7CHKPRG || exit 0

FILENAME=/usr/local/var/cpustate/state

CPUINFO=`cat /proc/cpuinfo|grep MHz|cut -d':' -f 2`
SFID=`$K7CHKPRG | grep Start|grep FID|cut -d'(' -f 2|cut -d 'x' -f 1`

FSB=`awk 'END{ print MHz / MULTI }'  MHz="$CPUINFO" MULTI="$SFID" < /dev/null`

echo "CLOCK $CPUINFO" > $FILENAME
echo "MULTIPLER $SFID" >> $FILENAME
echo "FSB $FSB" >> $FILENAME
