/*
 *      Copyright(C) 2001-2004 NAKAYAMA Hiroyoshi
 *
 * 	Licensed under the terms of the GNU GPL License version 2.
 */
#include <stdio.h>
#include <string.h>
#include "miscio.h"

int STcut(char *buf, int *index){
  while(buf[*index] == ' ' || buf[*index] == '\t'){
    (*index)++;
  }
  if((unsigned char)buf[*index] < (unsigned char)' ')
    return(-1);
  else
    return(0);
}

void WDget(char *buf, int *index, char *word){
  int  flg = 0;

  if(buf[*index] != '-' && buf[*index] != '.' && (buf[*index] < '0' || buf[*index] > 0x7A ))
    flg = 1;
  switch(flg){
  case 0:
    while(((unsigned)buf[*index] >= (unsigned)'0' && buf[*index] < 0x7b)||
	  buf[*index] == '-' || buf[*index] == '.'){
      *word = buf[*index];
      word ++;
      (*index) ++;
    }
    break;
  case 1:
    while((unsigned)buf[*index] > (unsigned)' ' && (buf[*index] < '0' || buf[*index] > 0x7A )&&
          buf[*index] != '-' && buf[*index] != '.'){
      *word = buf[*index];
      word ++;
      (*index) ++;
    }
    break;
  }
  *word = '\0';
}

/**********************************
 * Get Wrord function
 */
int GetWord(FILE *ptr, char *word){
  static char buf[96] = {""};
  static int index = 0;
  static int line_n = 0;
  static int remflg = 0;

  if( STcut(buf, &index) ){
    if( fgets(buf, 96, ptr) == NULL){
      remflg == 0;
      return(0);
    }
    index = 0;
    line_n++;
    return( GetWord(ptr,word));
  }
  WDget(buf, &index, word);
#ifdef DEBUG
  printf("%s ",word);
#endif

  if( strstr(word,"/*") == word)
    remflg = 1;
  if( strstr(word,"*/") == word){
    remflg = 0;
    return( GetWord(ptr, word) );
  }
  if(remflg == 1)
    return( GetWord(ptr, word) );
  return(line_n);
}
